@nickallen said:
See attached pdf illustrating. Group of walls on right are 1 group. Walls on left split into individual groups. Model available if required.
Cheers.
Yes, please post the model. Make it version SU8 for max compatibility.
@nickallen said:
See attached pdf illustrating. Group of walls on right are 1 group. Walls on left split into individual groups. Model available if required.
Cheers.
Yes, please post the model. Make it version SU8 for max compatibility.
@nickallen said:
Hi. Anyone know if there is a plugin / extension that splits a group of walls (the ground floor internal walls of a building for example) into individual walls (groups). Thanx
I doubt that one exists but, if you would post a sample model with before and after examples, maybe one could be created.
To test if size is the problem, you can edit the .dae file and change line 99
<scale sid="scale">0.001 0.001 0.001</scale>
to
<scale sid="scale">1 1 1</scale>
@pilou said:
I make some "New" and sometimes that works, sometimes not! (in 2016)
In any case I have not more since your dae file the Message "Empty component")I believe the object is very tiny!
Maybe this explain that ?[attachment=0:l0jt4utq]<!-- ia0 -->very_tiny.jpg<!-- ia0 -->[/attachment:l0jt4utq]
Very possible.
@pilou said:
Work in the 2015!
(import the DAE)
Seems existing in the 2016 but I see it only on the Structure!
Not on the screen!
(saved as 2014)
The model seems to be empty but Model Statistics shows that there is 1 ComponentInstance.
Interesting but I haven't a clue as to why.
@pilou said:
@unknownuser said:
License type:Free/Make?
I believe its a Pro feature
No problem in SU2014 Free.
@gregswk said:
@sdmitch said:
The problem is some groups being dropped on "top" of others already moved to the surface.
So to avoid that conflict, I have modified the previous code I posted.
mod = Sketchup.active_model
> > sel = mod.selection
> > gat = []
> > sel.grep(Sketchup;;Group){|g|
> > o = [g.bounds.center.x,g.bounds.center.y,g.bounds.min.z]
> > p = mod.raytest([o,[0,0,-1]])[0];
> > gat<<[g,Geom;;Transformation.new(p-o)] if p
> > }
> > gat.each{|g| g[0].transform!(g[1])}
> >
I'm sorry, Sdmitch... There is still one problem..
[attachment=2:kcc5danh]<!-- ia2 -->Capture2.JPG<!-- ia2 -->[/attachment:kcc5danh]
[attachment=1:kcc5danh]<!-- ia1 -->Capture3.JPG<!-- ia1 -->[/attachment:kcc5danh]
The groups are moving by Z axis perfectly, but when it goes down to terrain, they are changing their X and Y positions. They are messing with each other..
Why is it happening?
Oops. My bad. I forgot to change the "origin" in the transformation. Code has been fixed.
The problem is some groups being dropped on "top" of others already moved to the surface.
So to avoid that conflict, I have modified the previous code I posted.
mod = Sketchup.active_model
sel = mod.selection
gat = []
sel.grep(Sketchup;;Group){|g|
o = [g.bounds.center.x,g.bounds.center.y,g.bounds.min.z]
p = mod.raytest([o,[0,0,-1]])[0];
gat<<[g,Geom;;Transformation.new(p-g.bounds.min)] if p
}
gat.each{|g| g[0].transform!(g[1])}
@gregswk said:
-I'm using your script to drop the groups down to terrain, but I'm having some problem... Many groups arent dropping well, they fly.
[attachment=0:373faxky]<!-- ia0 -->flying.JPG<!-- ia0 -->[/attachment:373faxky]
Could you post a sample of the one's that "fly".
@pilou said:
I believe that the problem comes from the export DXF from external program!
(double vertices ?...)
No the problem is that the transformation.origin is not over the "surface"
` name = Group#445
origin = (-420.075838m, -663.573913m, 8.06m)
x axis = [1.0,0.0,0.0]
y axis = [0.0,1.0,0.0]
z axis = [0.0,0.0,1.0]
x,y,z = [-16538.41882347539,-26124.9572089176,317.32283464566945]
name = Group#468
origin = (-420.075838m, -663.573913m, 8.06m)
x axis = [1.0,0.0,0.0]
y axis = [0.0,1.0,0.0]
z axis = [0.0,0.0,1.0]
x,y,z = [-16538.41882347539,-26124.9572089176,317.32283464566945]` which is why the "Drop" fails. By exploding and regrouping the group, the transformation.orig is reset to bounds.min which is over the "surface".
@pilou said:
But that resolve not the little mystery of the 2 groups states!
What are special on them ?
How do you create that ?
My new project for the weekend!!!!!!!!
@gregswk said:
@sdmitch said:
Why? Is there a point to this exercise?
Hi! The reason is that I can't use "drop to terrain" plugins like DropGC and Raytracer. I select the groups and click the plugin but nothing happens.
BUT if I explode and regroup them (one by one), everything works normally. I really dont know why...
I'm with you, I can't figure out why this is so. But, since these are buildings, you wouldn't want them to conform to the surface like Pilou's SmartDrop demo. So something as simple as
mod = Sketchup.active_model
sel = mod.selection
sel.grep(Sketchup;;Group){|g|
t=mod.raytest([g.bounds.min,[0,0,-1]])[0]
g.transform!(Geom;;Transformation.new(t-g.bounds.min)) if t
}
This works on your groups whether they are exploded and regrouped or not.
Select group(s), paste code into Ruby Console, press Enter.
@thexitto2 said:
Hi everyone,
Iยดm trying to installing ruby Plugins.
When itยดs .rb i place it at ruby folder and it works when i restart sketchup.
But with .rbz files its not recognized! its because the version its very old??!I read http://help.sketchup.com/en/article/38583 but the option:
"4- Click on the Install Extension button.", its not available!!!!!What can i do to install extensions?
Thank you!
Pedro
This is what you should seeIf this isn't, then, since an rbz is just a zip file, change the .rbz extension to .zip and extract the contents into the plugins folder.
@gregswk said:
Hi guys!
I have many groups (about 300) in my model and I'd like to explode and regroup each group, ONE BY ONE.
Is there a script to do it automatically?*I'm attaching a .skp file with 2 of my groups.
Why? Is there a point to this exercise?
@chippwalters said:
Does anyone have an idea on how to automatically/algorithmically build this in SketchUp using a bitmap (or other way) to drive the distribution of randomimzed height boxes (or other shapes)?
Perhaps some sort of combination of Scatter and other plugins? Thanks for any cycles spent cogitating...
Just the type of mindless exercises I live for. Over the weekend, I tried various scenarios and this was the best of them. Created in less than a minute under SU2016 64bit.
Usage:Extensions>SDM Tools>Misc Tool>Random Cubes
@rich o brien said:
That's a great little plugin. You should stick it up on the PluginStore.
Before I do that, what does it need to be more user friendly?
@pedrinalex said:
hello sdmitch.
I could not install in 2016.
May you help me?
Regards
Pedro
Options:
@calypsoart said:
I was just asked by someone how to align multiple objects along their centers. I believe he meant selecting multiple objects and they align there center points. Methods? Plugins?
Align and Distribute, on my blog, may work for you.
@zackjords said:
In Autodesk Maya(not quite sure about others) you can press F or A to center the camera view on selected object.im not quite sure you can do this on sketchup or not.after using sketchup for awhile (7years) i keep wondering either this could be complish via plug ins or not..Thank you
In Sketchup, it requires just a little Ruby code
mod = Sketchup.active_model
sel = mod.selection
vue = mod.active_view
bb = Geom;;BoundingBox.new
sel.each{|e|bb.add e.bounds}
cam = vue.camera
cam.set cam.eye,bb.center,Z_AXIS
You can add
vue.zoom sel
if you want a closeup view.